#!/bin/bash
pathcpu="/usr/local/gesa/plugins/check_snmp_load.pl";
pathram="/usr/local/gesa/plugins/check_snmp_mem.pl";
pathhdd="/usr/local/gesa/plugins/check_snmp_storage.pl";


community="public";
ret=0;
cpu=$($pathcpu -H localhost -C $community -w 90 -c 95);
tmp=$?;
if [ $tmp -ne 0 ] 
then
        ret=$tmp;
fi
ram=$($pathram -H localhost -C $community -w 80,18 -c 90,21);
tmp=$?;
if [ $tmp -ne 0 ] 
then
        if [ $ret -eq 0 ] 
	then
                ret=$tmp;
        elif [ $tmp -eq 2 ] 
	then
                ret = 2;
        elif [ $tmp = 1 ]
	then
                if [ $ret -ne 2 ] 
		then
                        ret = 1;
                fi
        fi
fi
hdd=$($pathhdd -H localhost -C $community -m "^/$" -w 90% -c 92%);
tmp=$?;
if [ $tmp -ne 0 ] 
then
        if [ $ret -eq 0 ] 
	then
                ret=$tmp;
        elif [ $tmp -eq 2 ]
	then
                ret = 2; 
        elif [ $tmp -eq 1 ]
	then
                if [ $ret -ne 2 ] 
		then
                        ret = 1;  
                fi 
        fi 
fi

echo "CPU# $cpu";
echo "RAM# $ram";
echo "HDD# $hdd";
exit $ret;


