#!/usr/bin/php
<?php
//OS, rsbp, gesa infos
$gesa_info["system"]["sn"]=trim(file_get_contents('/etc/gesa/sn',FILE_USE_INCLUDE_PATH));
$gesa_info["system"]["debian_version"]=trim(file_get_contents('/etc/debian_version',FILE_USE_INCLUDE_PATH));
$gesa_info["system"]["kernel_version"]=trim(exec('uname -r'));

$revision=file_get_contents('/proc/cpuinfo',FILE_USE_INCLUDE_PATH);
$revision=preg_grep("/Revision/",explode("\n",$revision));
$revision=explode(":",array_pop($revision));

$gesa_info["system"]["rsbp_revision"]=trim($revision[1]);

//GESA packages infos
$pkgs=exec('dpkg -l|grep gesa|tr -s " " " " |cut -d" " -f2,3',$pkgs_arr);
foreach($pkgs_arr as $pkg_str){
        $pkg_arr=explode(" ",$pkg_str);
        $gesa_info["packages"][$pkg_arr[0]]=$pkg_arr[1];
}

//Repositories
$repos=file_get_contents('/etc/apt/sources.list',FILE_USE_INCLUDE_PATH);
$repos=explode("\n",$repos);

foreach($repos as $row){
        $row=explode("#",$row); //Suppression des commentaires

        if( empty($gesa_info["repo"]["raspbian"]) && preg_match("/deb\s*(.*raspbian.*)/",$row[0],$matches) == 1 ) $gesa_info["repo"]["raspbian"]=$matches[1];
        if( empty($gesa_info["repo"]["gesa"]) && preg_match("/deb\s*(.*gesa.*)/",$row[0],$matches) == 1 ) $gesa_info["repo"]["gesa"]=$matches[1];
}

//Updates 
$gesa_info["date"]["current_time"]=trim(exec('date +%H:%M'));

$cron_params=file_get_contents('/etc/cron.d/gesa_updates',FILE_USE_INCLUDE_PATH);
foreach(explode("\n",$cron_params) as $row){
        $row=explode("#",$row); //Suppression des commentaires
        if( empty($gesa_info["date"]["next_update"]) && preg_match("/(\d+)\s+(\d+)\s+.*script_updates\D*/",$row[0],$matches) == 1 ) $gesa_info["date"]["next_update"]=$matches[2].":".$matches[1];
}

$last_update=explode("\n",file_get_contents('/home/esia/gesa_updates',FILE_USE_INCLUDE_PATH));
$gesa_info["date"]["last_update_start"]=explode(":",$last_update[0],2)[1];
$gesa_info["date"]["last_update_end"]=explode(":",$last_update[1],2)[1];

$json=json_encode($gesa_info);
echo $json;

//$decode=json_decode($json,true);
//print_r($decode);
?>

